> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get localized course price 

> Get price of a single course depending on the country of user requesting it

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-course-price
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-course-price:
    post:
      tags:
        - Course
      summary: 'Get localized course price '
      description: >-
        Get price of a single course depending on the country of user requesting
        it


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          fermionCourseId:
                            type: string
                            description: >-
                              Course ID of the course. You can find IDs of your
                              course using `get-all-courses` API endpoint
                          fermionSchoolId:
                            type: string
                            description: Your school ID
                          discountCouponCode:
                            anyOf:
                              - type: string
                                description: >-
                                  Any discount code you want to apply to get
                                  updated prices. Send null if no discount code
                                  should be applied
                              - nullable: true
                              - nullable: true
                          userCountryHint:
                            type: string
                            nullable: true
                            description: >-
                              Two letter country code of user to force apply
                              regional pricing. If not provided then we will use
                              the country code of the user making this request.
                        required:
                          - fermionCourseId
                          - fermionSchoolId
                          - discountCouponCode
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                prices:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          planType:
                                            type: string
                                            enum:
                                              - PartialPaymentPlan
                                          fermionDigitalProductPriceId:
                                            type: string
                                          realFullPriceOfProductInLowestCurrencyUnitIrrespectiveOfTaxAndExclusiveOfDiscount:
                                            type: number
                                          totalDiscountComponentValueInLowestCurrencyUnit:
                                            type: number
                                          basePaymentToPayExclusiveOfTaxAndIrrespectiveOfDiscountInLowestCurrencyUnit:
                                            type: number
                                            minimum: 0
                                          emiIntervalInDays:
                                            type: number
                                            minimum: 0
                                            maximum: 180
                                          allInstallmentOptions:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                eachInstallmentPaymentAmountInLowestCurrencyUnitExclusiveOfTaxAndDiscount:
                                                  type: number
                                                eachInstallmentPaymentAmountInLowestCurrencyUnitInclusiveOfDiscountButExclusiveOfTax:
                                                  type: number
                                                installmentCount:
                                                  type: number
                                                  minimum: 1
                                                installmentPaymentScheduleInformation:
                                                  type: array
                                                  items:
                                                    type: object
                                                    properties:
                                                      payByDate:
                                                        type: string
                                                        format: date-time
                                                    required:
                                                      - payByDate
                                              required:
                                                - >-
                                                  eachInstallmentPaymentAmountInLowestCurrencyUnitExclusiveOfTaxAndDiscount
                                                - >-
                                                  eachInstallmentPaymentAmountInLowestCurrencyUnitInclusiveOfDiscountButExclusiveOfTax
                                                - installmentCount
                                                - installmentPaymentScheduleInformation
                                            minItems: 1
                                          currencySymbol:
                                            type: string
                                          currencyType:
                                            type: string
                                            enum:
                                              - Aud
                                              - Aed
                                              - Bdt
                                              - Brl
                                              - Cad
                                              - Cop
                                              - Dop
                                              - Etb
                                              - Eur
                                              - Gbp
                                              - Idr
                                              - Inr
                                              - Kes
                                              - Lkr
                                              - Mad
                                              - Myr
                                              - Mxn
                                              - Ngn
                                              - Npr
                                              - Nzd
                                              - Pkr
                                              - Pln
                                              - Rub
                                              - Thb
                                              - Try
                                              - Usd
                                              - Sgd
                                              - Cny
                                              - Sar
                                              - Twd
                                              - Jpy
                                              - Krw
                                              - Vnd
                                          inrGstSpecificData:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  isAmountExclusiveOfGst:
                                                    type: boolean
                                                    enum:
                                                      - true
                                                  additionalGstAmountInrPaise:
                                                    type: number
                                                required:
                                                  - isAmountExclusiveOfGst
                                                  - additionalGstAmountInrPaise
                                              - type: object
                                                properties:
                                                  isAmountExclusiveOfGst:
                                                    type: boolean
                                                    enum:
                                                      - false
                                                  includedGstAmountInrPaise:
                                                    type: number
                                                required:
                                                  - isAmountExclusiveOfGst
                                                  - includedGstAmountInrPaise
                                              - nullable: true
                                              - nullable: true
                                          couponData:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  status:
                                                    type: string
                                                    enum:
                                                      - ok
                                                  discountCodeUsed:
                                                    type: string
                                                  couponTypeSpecificData:
                                                    anyOf:
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - percent-off
                                                          discountPercentOffApplied:
                                                            type: number
                                                        required:
                                                          - type
                                                          - discountPercentOffApplied
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - fixed-amount-off
                                                          discountedAmountInLowestCurrencyUnit:
                                                            type: number
                                                        required:
                                                          - type
                                                          - discountedAmountInLowestCurrencyUnit
                                                  description:
                                                    type: string
                                                required:
                                                  - status
                                                  - discountCodeUsed
                                                  - couponTypeSpecificData
                                                  - description
                                              - type: object
                                                properties:
                                                  status:
                                                    type: string
                                                    enum:
                                                      - error
                                                  errorMessage:
                                                    type: string
                                                  discountCodeUsed:
                                                    type: string
                                                required:
                                                  - status
                                                  - errorMessage
                                                  - discountCodeUsed
                                              - nullable: true
                                              - nullable: true
                                        required:
                                          - planType
                                          - fermionDigitalProductPriceId
                                          - >-
                                            realFullPriceOfProductInLowestCurrencyUnitIrrespectiveOfTaxAndExclusiveOfDiscount
                                          - >-
                                            totalDiscountComponentValueInLowestCurrencyUnit
                                          - >-
                                            basePaymentToPayExclusiveOfTaxAndIrrespectiveOfDiscountInLowestCurrencyUnit
                                          - emiIntervalInDays
                                          - allInstallmentOptions
                                          - currencySymbol
                                          - currencyType
                                          - inrGstSpecificData
                                          - couponData
                                      - type: object
                                        properties:
                                          planType:
                                            type: string
                                            enum:
                                              - OneTimePaymentPlan
                                          fermionDigitalProductPriceId:
                                            type: string
                                          originalPriceExclusiveOfDiscountAndTaxInLowestCurrencyUnit:
                                            type: number
                                          discountComponentValueInLowestCurrencyUnit:
                                            type: number
                                          currencySymbol:
                                            type: string
                                          currencyType:
                                            type: string
                                            enum:
                                              - Aud
                                              - Aed
                                              - Bdt
                                              - Brl
                                              - Cad
                                              - Cop
                                              - Dop
                                              - Etb
                                              - Eur
                                              - Gbp
                                              - Idr
                                              - Inr
                                              - Kes
                                              - Lkr
                                              - Mad
                                              - Myr
                                              - Mxn
                                              - Ngn
                                              - Npr
                                              - Nzd
                                              - Pkr
                                              - Pln
                                              - Rub
                                              - Thb
                                              - Try
                                              - Usd
                                              - Sgd
                                              - Cny
                                              - Sar
                                              - Twd
                                              - Jpy
                                              - Krw
                                              - Vnd
                                          inrGstSpecificData:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  isAmountExclusiveOfGst:
                                                    type: boolean
                                                    enum:
                                                      - true
                                                  additionalGstAmountInrPaise:
                                                    type: number
                                                required:
                                                  - isAmountExclusiveOfGst
                                                  - additionalGstAmountInrPaise
                                              - type: object
                                                properties:
                                                  isAmountExclusiveOfGst:
                                                    type: boolean
                                                    enum:
                                                      - false
                                                  includedGstAmountInrPaise:
                                                    type: number
                                                required:
                                                  - isAmountExclusiveOfGst
                                                  - includedGstAmountInrPaise
                                              - nullable: true
                                              - nullable: true
                                          couponData:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  status:
                                                    type: string
                                                    enum:
                                                      - ok
                                                  discountCodeUsed:
                                                    type: string
                                                  couponTypeSpecificData:
                                                    anyOf:
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - percent-off
                                                          discountPercentOffApplied:
                                                            type: number
                                                        required:
                                                          - type
                                                          - discountPercentOffApplied
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - fixed-amount-off
                                                          discountedAmountInLowestCurrencyUnit:
                                                            type: number
                                                        required:
                                                          - type
                                                          - discountedAmountInLowestCurrencyUnit
                                                  description:
                                                    type: string
                                                required:
                                                  - status
                                                  - discountCodeUsed
                                                  - couponTypeSpecificData
                                                  - description
                                              - type: object
                                                properties:
                                                  status:
                                                    type: string
                                                    enum:
                                                      - error
                                                  errorMessage:
                                                    type: string
                                                  discountCodeUsed:
                                                    type: string
                                                required:
                                                  - status
                                                  - errorMessage
                                                  - discountCodeUsed
                                              - nullable: true
                                              - nullable: true
                                        required:
                                          - planType
                                          - fermionDigitalProductPriceId
                                          - >-
                                            originalPriceExclusiveOfDiscountAndTaxInLowestCurrencyUnit
                                          - >-
                                            discountComponentValueInLowestCurrencyUnit
                                          - currencySymbol
                                          - currencyType
                                          - inrGstSpecificData
                                          - couponData
                                  description: >-
                                    Array of available pricing plans for the
                                    course. Each plan includes payment options,
                                    currency information, applicable discounts,
                                    and tax details
                              required:
                                - prices
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output

````